com.holonplatform.datastore.jpa.jpql.context

## Enum JPQLStatementResolutionContext.AliasMode

- java.lang.Object
- - java.lang.Enum<JPQLStatementResolutionContext.AliasMode>
  - - com.holonplatform.datastore.jpa.jpql.context.JPQLStatementResolutionContext.AliasMode

- All Implemented Interfaces:
    Serializable, Comparable<JPQLStatementResolutionContext.AliasMode>
  Enclosing interface:
    JPQLStatementResolutionContext

      public static enum JPQLStatementResolutionContext.AliasMode
      extends Enum<JPQLStatementResolutionContext.AliasMode>

  Alias handling mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Use the explicitly provided alias if available, generate an alias name otherwise
    `DEFAULT` Default behaviour: use an alias only if explicitly provided
    `UNSUPPORTED` Never use an alias name, even if explicitly provided

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPQLStatementResolutionContext.AliasMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPQLStatementResolutionContext.AliasMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final JPQLStatementResolutionContext.AliasMode DEFAULT

      Default behaviour: use an alias only if explicitly provided

    - #### AUTO

          public static final JPQLStatementResolutionContext.AliasMode AUTO

      Use the explicitly provided alias if available, generate an alias name otherwise

    - #### UNSUPPORTED

          public static final JPQLStatementResolutionContext.AliasMode UNSUPPORTED

      Never use an alias name, even if explicitly provided

  - ### Method Detail

    - #### values

          public static JPQLStatementResolutionContext.AliasMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPQLStatementResolutionContext.AliasMode c : JPQLStatementResolutionContext.AliasMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPQLStatementResolutionContext.AliasMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.